﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace HomeLibrary.Api.Migrations
{
    public partial class editInitalCreate : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DeleteData(
                table: "Books",
                keyColumn: "Id",
                keyValue: 14);

            migrationBuilder.UpdateData(
                table: "Books",
                keyColumn: "Id",
                keyValue: 10,
                columns: new[] { "AuthorId", "BookNumber", "Series", "Title" },
                values: new object[] { 6, 1, "Star Wars", "Tales of the Bounty Hunters" });

            migrationBuilder.UpdateData(
                table: "Books",
                keyColumn: "Id",
                keyValue: 11,
                columns: new[] { "AuthorId", "Series", "Title" },
                values: new object[] { 7, "None", "Canterbury Tales" });

            migrationBuilder.UpdateData(
                table: "Books",
                keyColumn: "Id",
                keyValue: 12,
                columns: new[] { "AuthorId", "Title" },
                values: new object[] { 8, "Anne of Green Gables" });

            migrationBuilder.UpdateData(
                table: "Books",
                keyColumn: "Id",
                keyValue: 13,
                columns: new[] { "AuthorId", "Title" },
                values: new object[] { 9, "Trina" });
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.UpdateData(
                table: "Books",
                keyColumn: "Id",
                keyValue: 10,
                columns: new[] { "AuthorId", "BookNumber", "Series", "Title" },
                values: new object[] { 5, 2, "Xanth", "Demons Don't Dream" });

            migrationBuilder.UpdateData(
                table: "Books",
                keyColumn: "Id",
                keyValue: 11,
                columns: new[] { "AuthorId", "Series", "Title" },
                values: new object[] { 6, "Star Wars", "Tales of the Bounty Hunters" });

            migrationBuilder.UpdateData(
                table: "Books",
                keyColumn: "Id",
                keyValue: 12,
                columns: new[] { "AuthorId", "Title" },
                values: new object[] { 7, "Canterbury Tales" });

            migrationBuilder.UpdateData(
                table: "Books",
                keyColumn: "Id",
                keyValue: 13,
                columns: new[] { "AuthorId", "Title" },
                values: new object[] { 8, "Anne of Green Gables" });

            migrationBuilder.InsertData(
                table: "Books",
                columns: new[] { "Id", "AuthorId", "BookNumber", "Series", "Title" },
                values: new object[] { 14, 9, 1, "None", "Trina" });
        }
    }
}
